Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 256016

Summary: =gnome-base/gnome-settings-daemon-2.24.1-r1 crashes on start up
Product: Gentoo Linux Reporter: Seemant Kulleen <seemantk>
Component: Current packagesAssignee: Gentoo Linux Gnome Desktop Team <gnome>
Status: RESOLVED FIXED    
Severity: normal CC: again, axiator, bass, bruda, bts, bugs.gentoo.org, bugs, bugzilla, canarauc, cloessl, col, cs, d.wapinski, dabbott, daniel, djcater+gentoobugs, douglasjanderson, dupont.nicolas, emerg.reanimator, fernercc, follettoonip, gagabi, gentoo-bugzilla, gottlieb, Heinrich.Nirschl, ibormuth, jbaldassari, jklawiter, jose.a.n.ribeiro, jsled, magowiz, Markku.Kaukinen, miller.larson, mmazur, pacho, patrakov, punloh, raphael.berlamont, ricljl, rumi, solstag, steven_debock, stonedgorilla, tango, tim.bearden, vostorga, Werner.Peter, wsheets, wsouzant, ykonotopov, zteccc
Priority: High    
Version: unspecified   
Hardware: All   
OS: Linux   
URL: http://bugzilla.gnome.org/show_bug.cgi?id=573524
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 260063    
Attachments: strace output
/etc/gconf/gconf.xml.defaults/%gconf-tree.xml
crashlog created by gnome when started with inputproto-1.50, libXi-1.2.1 and libxklavier-3.8

Description Seemant Kulleen 2009-01-22 16:33:53 UTC
"There was an error starting the GNOME Settings Daemon.
Some things, such as themes, sounds, or background 
settings may not work correctly.
The Settings Daemon restarted too many times.
GNOME will still try to restart the Settings Daemon next 
time you log in."

There is no other information about it.  Icons are, of course, broken.


This is with gnome-2.24*
Comment 1 Gilles Dartiguelongue gentoo-dev 2009-01-22 17:28:42 UTC
is it 2.24.1-r1 ? I remember you said it had a 2 and 4 and a 3 which doesn't match what's actually in tree. Could you also paste your emerge --info ?
Comment 2 Seemant Kulleen 2009-01-23 16:08:30 UTC
Portage 2.1.4.5 (default/linux/amd64/2008.0/desktop, gcc-4.1.2, glibc-2.9_p20081201-r1, 2.6.27-gentoo-r6 x86_64)
=================================================================
System uname: 2.6.27-gentoo-r6 x86_64 Dual Core AMD Opteron(tm) Processor 165
Timestamp of tree: Thu, 22 Jan 2009 07:40:01 +0000
app-shells/bash:     3.2_p33
dev-java/java-config: 1.3.7-r1, 2.1.6-r1
dev-lang/python:     2.4.4-r15, 2.5.4-r1
dev-python/pycrypto: 2.0.1-r6
dev-util/cmake:      2.4.8
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.4.2
sys-apps/sandbox:    1.3.2
sys-devel/autoconf:  2.13, 2.63
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.19
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.28-r1
ACCEPT_KEYWORDS="amd64 ~amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=opteron -pipe -fomit-frame-pointer -ftracer -g"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -march=opteron -pipe -fomit-frame-pointer -ftracer -g"
DISTDIR="/usr/portage/distfiles"
FEATURES="clean distlocks fixpackages metadata-transfer sandbox sfperms splitdebug strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
INSTALL_MASK="/usr/share/man/de* /usr/share/man/es* /usr/share/man/fr* 	/usr/share/man/it* /usr/share/man/sv* /usr/share/man/ru* 	/usr/share/cups/templates/de* /usr/share/cups/templates/be* 	/usr/share/locale/be* 	/usr/share/locale/ca* 	/usr/share/locale/cs* 	/usr/share/locale/da* 	/usr/share/locale/de* 	/usr/share/locale/el* 	/usr/share/locale/es* 	/usr/share/locale/fr* 	/usr/share/locale/gl* 	/usr/share/locale/he* 	/usr/share/locale/hr* 	/usr/share/locale/hu* 	/usr/share/locale/it* 	/usr/share/locale/ja* 	/usr/share/locale/ko* 	/usr/share/locale/nb* 	/usr/share/locale/nl* 	/usr/share/locale/pl* 	/usr/share/locale/pt* 	/usr/share/locale/ru* 	/usr/share/locale/sk* 	/usr/share/locale/sv* 	/usr/share/locale/tr* 	/usr/share/locale/uk* 	/usr/share/locale/zh* 	/usr/share/*/doc*/be* 	/usr/share/*/doc*/de* 	/usr/share/*/doc*/es* 	/usr/share/*/doc*/fr*"
LANG="en_US.UTF8"
LC_ALL="en_US.UTF8"
LDFLAGS="-Wl,-O1"
LINGUAS="en"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/brontes3d /usr/local/portage"
SYNC="rsync://lex-portgate/gentoo-portage"
USE="3dnow X a52 aac acl acpi alsa amd64 apm artwork-extra artworkextra audiofile avahi bash-completion bluetooth branding browserplugin bzip2 cairo cddb cdparanoia cdr cli cpudetection cracklib crypt cscope cups curl daap dbus dga dia djvu dri dts dv dvd dvdnav dvdr dvdread dvi eds emboss enca encode enscript esd evolution exif extrafilters fam fame ffmpeg firefox flac fontconfig fortran gdbm gentoo ggi gif glitz gnome gnome-keyring gnutls gstreamer gstreamer010 gtk gtk2 hal hald howl howl-compat iconv imagemagick inkjar ipod isdnlog jpeg justify lcms libcaca libclamav libnotify live logrorate mad mailwrapper md5sum meanwhile midi mikmod mjpeg mmx mng moznocompose moznoirc moznomail mozsvg mp2 mp3 mpeg mudflap multilib musicbrainz nautilus ncurses networkmanager nptl nptlonly nsplugin oav ogg openal opengl openmp pcre pda pdf plotutils png postscript ppds pppd prediction pwdb python qt3support quicktime quotas rar readline reflection rtc samba scrobbler sdk sdl session sha1 silvercity skey slang smp spell spl sqlite sqlite3 sse sse2 ssl startup-notification svg sysfs tagwriting tcpd tga theora tiff tk truetype unicode urandom usb userlocales vim-pager vorbis winbind wma wmf xinerama xml xml2 xorg xscreensaver xulrunner xv xvid xvmc zlib" ALSA_CARDS="intel8x0" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="access auth authz_host auth_dbm auth_anon auth_digest alias file-cache echo charset-lite cache disk-cache mem-cache ext-filter case_filter case-filter-in mime-magic cern-meta expires headers proxy proxy-connect proxy-ftp proxy-http info include cgi cgid dav dav-fs vhost-alias speling rewrite log_config logio env setenvif mime status autoindex asis negotiation dir imap actions userdir so" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en" USERLAND="GNU" VIDEO_CARDS="nvidia"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 3 Seemant Kulleen 2009-01-23 16:09:02 UTC
Hi Gilles,

You are correct, this is 2.24.1-r1 indeed.
Comment 4 Aaron Stone 2009-01-27 05:16:29 UTC
Created attachment 179855 [details]
strace output

Strace of gnome-settings-daemon 2.24.1 starting up then exiting. UI elements flash briefly into my chosen theme while I ran gnome-settings-daemon, but reverted back to defaults once it exited.

strace /usr/libexec/gnome-settings-daemon > g-s-d.strace 2>&1
Comment 5 scanpat 2009-02-09 13:51:02 UTC
(In reply to comment #0)
> "There was an error starting the GNOME Settings Daemon.
> Some things, such as themes, sounds, or background 
> settings may not work correctly.
> The Settings Daemon restarted too many times.
> GNOME will still try to restart the Settings Daemon next 
> time you log in."
> 
> There is no other information about it.  Icons are, of course, broken.
> 
> 
> This is with gnome-2.24*
> 

I have the same issue.
Even with an emerge -e gnome, I still have this same trouble.
Comment 6 Romain GAILLEGUE 2009-02-09 15:34:11 UTC
For me downgrade libxklavier to 3.6 fix the problem
Comment 7 scanpat 2009-02-09 17:45:48 UTC
(In reply to comment #6)
> For me downgrade libxklavier to 3.6 fix the problem
> 

Yes ! Me too ! :-) Thanks !
Comment 8 Aaron 2009-02-12 16:45:02 UTC
I haven't tried downgrading libxklavier but I had the same issue.  I found disabling keyboard support in the gnome_settings_daemon fixed it for me - I will have to try the downgrade though, good advice.

Here's what I did - can also be done through gconf-editor.

gconftool-2 -t bool -s /apps/gnome_settings_daemon/plugins/a11y-keyboard/active false
gconftool-2 -t bool -s /apps/gnome_settings_daemon/plugins/keyboard/active false
Comment 9 Sascha Hlusiak 2009-02-12 17:57:56 UTC
What do you guys use as login manager? I noticed that gnome-settings-daemon crashes when logging in from kdm but everything runs fine, when I log in from gdm.
Comment 10 Daniel Verkamp 2009-02-15 18:32:03 UTC
I get this behavior as well, and I do not use a graphical login manager; gnome-session is started from .xinitrc
Comment 11 Daniel Gryniewicz (RETIRED) gentoo-dev 2009-02-19 16:01:12 UTC
Just as a data point, I got this when I had forced kernel modesetting on.
Comment 12 Alexandre Hannud Abdo 2009-02-19 18:49:27 UTC
Same issue here for some time now.

I always get the window with the error message.

Still, sometimes a gnome-settings-daemon is already working and all I have to do is close that window.

Other times, though, I have to manually run /usr/libexec/gnome-settings-daemon from a shell.

I am running a quad-core system.

I don't use a login manager.

I run statx and have "exec gnome-session" in my .xinitrc .

There was bug #239293 but it got closed and fix did not solve my problem.

Hope this helps...
~~
Comment 13 Gilles Dartiguelongue gentoo-dev 2009-02-28 11:06:54 UTC
I thought somebody filled an upstream bug already but it seems I was mistaken.
Comment 14 Gilles Dartiguelongue gentoo-dev 2009-02-28 11:09:00 UTC
btw, it would really be useful if any of you could get a backtrace of this problem (maybe some wrapper script setting GTK_MODULES="bug-buddy" or some other trick could help you get that).
Comment 15 Daniel Verkamp 2009-03-01 19:12:55 UTC
Using 'exec dbus-launch gnome-session' instead of 'exec gnome-session' in .xinitrc fixes this for me; don't know if it is the correct fix...
Comment 16 Gilles Dartiguelongue gentoo-dev 2009-03-01 19:31:00 UTC
(In reply to comment #15)
> Using 'exec dbus-launch gnome-session' instead of 'exec gnome-session' in
> .xinitrc fixes this for me; don't know if it is the correct fix...
> 

unless your X starting doesn't take /etc/X11/xinit/xinitrc.d/ into account, this shouldn't change anything.
Comment 17 walt 2009-03-03 15:25:52 UTC
Same problem here, but it just got much worse in the last two days.  Now gnome
won't start up past the point where my wallpaper gets displayed unless I use 
the "dbus-launch gnome-session" trick.  Lots of defunct processes like these:
$ps ax |grep defunct
12143 tty2     Z      0:00 [gnome-settings-] <defunct>
12155 ?        Z      0:00 [xrdb] <defunct>
12161 tty2     Z      0:00 [gnome-volume-ma] <defunct>
12164 tty2     Z      0:00 [pactl] <defunct>
12166 tty2     Z      0:00 [start-pulseaudi] <defunct>

Note that the names of those defunct processes are incomplete.  Any clues what
that means?  (Those are not typos.)  In spite of that, gnome-settings-daemon
and gnome-volume-manager *are* running and working properly.

For me, downgrading libxklavier did nothing; disabling any keyboard plugins for
gnome-settings-daemon did nothing.

Gilles, can you explain a bit more about the GTK_MODULES=bug-buddy?  Is that an
environment variable?  Why not just set it in the environment, then?

Thanks!
Comment 18 Cănărău Constantin 2009-03-05 16:58:12 UTC
Confirme. Same problems as comment #17

gentoo ~ # ps aux | grep Z
USER       PID %CPU %MEM    VSZ   RSS TTY      STAT START   TIME COMMAND
root     16916  0.0  0.0      0     0 ?        Z    18:29   0:00 [gnome-settings-] <defunct>
root     16920  0.0  0.0      0     0 ?        Z    18:29   0:00 [gnome-settings-] <defunct>
root     16941  0.0  0.0      0     0 ?        Z    18:29   0:00 [xrdb] <defunct>
root     16951  0.0  0.0      0     0 ?        Z    18:29   0:00 [start-pulseaudi] <defunct>
root     27198  0.0  0.0   9068   920 pts/0    R+   18:53   0:00 grep --colour=auto Z

I didn't report the bug because I'm on gcc-4.3 hardended witch is not official supported. Anyway is seems that is not related to my emerge --info.

Here is my emerge --info:
Portage 2.2_rc23 (hardened/linux/amd64/2008.0, gcc-4.3.3, glibc-2.9_p20081201-r3, 2.6.28-gentoo-r2-costel x86_64)
=================================================================
System uname: Linux-2.6.28-gentoo-r2-costel-x86_64-Intel-R-_Core-TM-2_Duo_CPU_E8400_@_3.00GHz-with-glibc2.2.5
Timestamp of tree: Thu, 05 Mar 2009 15:40:01 +0000
ccache version 2.4 [disabled]
app-shells/bash:     3.2_p48-r1
dev-java/java-config: 2.1.7
dev-lang/python:     2.5.4-r2
dev-python/pycrypto: 2.0.1-r8
dev-util/ccache:     2.4-r8
dev-util/cmake:      2.6.3
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.4.3-r1
sys-apps/sandbox:    1.3.9
sys-devel/autoconf:  2.13, 2.63
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.19.51.0.2
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.28-r1
ACCEPT_KEYWORDS="amd64 x86 ~amd64 ~x86"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -fforce-addr -march=native -mtune=native -ftree-vectorize -ftracer -combine -fstack-protector -DFORTIFY_SOURCES=2"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/kde/4.2/env /usr/kde/4.2/share/config /usr/kde/4.2/shutdown /usr/lib64/fax /usr/share/config /var/bind /var/lib/hsqldb /var/spool/fax/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/eselect/postgresql /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-O2 -pipe -fforce-addr -march=native -mtune=native -ftree-vectorize -ftracer -combine -fstack-protector -DFORTIFY_SOURCES=2"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests candy distlocks fixpackages lmirror nodoc parallel-fetch preserve-libs sfperms strict suidctl unmerge-orphans userfetch userpriv"
GENTOO_MIRRORS="http://localhost http://mirrors.xservers.ro/gentoo/ http://ftp.roedu.net/pub/mirrors/gentoo.org/ http://mirrors.evolva.ro/gentoo/ http://www.ibiblio.org/pub/Linux/distributions/gentoo http://distfiles.gentoo.org/ http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LANG="ro_RO.UTF-8"
LC_ALL="ro_RO.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--sort-common -Wl,--warn-once,--hash-style=gnu"
LINGUAS="ro en en_GB"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_EXTRA_OPTS="--progress --delete-before --human-readable"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/added /usr/portage/local/toolchain /usr/portage/local/mozilla"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 64bit 7zip R X X509 Xaw3d a52 aac aalib accessibility acct acl acpi activefilter ada additions administrator adns adplug ads ael aften aim aio alisp alsa amd64 amr amrnb amrwb analogtv animgif ao aotuv apache2 apisupport apm applet aqua_theme ares arj arts aspnet aspnet2 asterisk async asyncns athena atm atmo audacious audiofile audit autoipd automount avahi avalon-framework avalon-logkit bash-completion battery bcmath bcp bdf beanshell bgpclassless bidi big-tables bittorrent bjam bl blas blender-game bluetooth bogofilter bonjour bookmarks boost branding bzip2 cairo calendar caps captury carbone_theme catdoc cdaudio cdb cdda cddb cdinstall cdio cdparanoia cdr cdrom cgi cgraph chardet checkpath chicken chm clamav clamd clearcase cli cmdsubmenu cnd contentcache corba courier cpudetection cracklib crypt cscope css ctype cups curl curlwrappers cursors custom-cxxflags custom-optimization cutterlimit cutterqueue cuttime cvs cvsgraph cxx daap dar64 dbase dbi dbm dbtool dbus dbx dc1394 dedicated deltimeshiftrec deprecated device-mapper dga dhcp dillo directfb directv disassembler discouraged diskio djvu dkim dlz dmx dnd dolbyinrec dri dts dv dvb dvbplayer dvbsetup dvd dvdarchive dvdchapjump dvdnav dvdr dvdread dvlfriendlyfnames dvlrecscriptaddon dvlvidprefer dynamic dynamicplugin eap-tls eds elf elisp elliptic emacs embedded emboss emerald emovix enca encode enscript eolconv epiphany esd evo exif expat extensible extensions extra-algorithms extraengine extrafilters extras f-prot fam fame fastcgi fat fax fbcon fbcondecor festival ffmpeg fftw fidonet figlet file filter firefox firefox3 fits fixes flac flash flatfile flexresp2 fltk fluidsynth fontconfig foomaticdb fortran fpx frascend freetds freetts freetype ftp fullyoptimize fuse fusion gajim galago galois gcc-libffi gcj gconf gcrypt gd gdbm gdm gedit geoip geos ggi gif gimp ginac git gkrellm glade glep glib glitz glsa glut gmp gnokii gnome gnome-keyring gnomecanvas gnomecd gnuplot gnutls gpg gphoto2 gpm gps graphtft graphviz gre groupwise gsl gsm gstreamer gtk gtk2-perl gtkhtml gucharmap guile h323 hal hardened hardlinkcutter harness haskell havekernel hddtemp hesiod hfs high-ints highlight hipe howl-compat hpn http httpd hvm hybrid hyperestraier ibmacpi icap-client icons iconv icp icq icu id3tag ide idea identity idn ieee1394 iksemel imagemagick imap imlib inherit-graph inifile inkjar inline innodb inode inotify inquisitio iodbc iproute2 ipv6 irda isdnlog ithreads j2ee jabber jack jai java java5 java6 javamail javascript jbig jce jfs jingle jmf john joystick jpeg jpeg2k jpgraph jumpplay justify kde kde4 kdehiddenvisibility kdeprefix kdm kerberos keyring kig-scripting kino kolab kpathsea kpoll ktts l7filter ladspa lame lapack lash latex latin1 lcms ldap lha libcaca libedit libffi libgda libnotify libsamplerate libvisual libwww liemikuutio lighttpd lilo linux-smp-stats lirc lircsettings live livebuffer lm_sensors log4j logrotate lua lzo m17n-lib mad madwifi maildir maildrop mailwrapper managesieve math matroska max-idx-128 mbox mbrola mcve md5sum mdnsresponder-compat meanwhile mecab memcache memlimit metalink metric mfd-rewrites mgr2 mhash midi migemo mikmod milter mime mixer mjpeg mktemp mmap mmx mmxext mng mobility mod mode-paranoid modperl modplug mono moonlight motif mozilla mp2 mp3 mp4 mpd mpeg mpi mpi-threads mplayer mppe-mppc msn mudflap mule multicall multilib multipath musepack musicbrainz mysql mysqli mythtv nagios-dns nagios-game nagios-ntp nagios-ping nagios-ssh nano-syntax nas nat nautilus nb ncurses neXt nemesi nepomuk net netcdf nethack netpbm network network-cron networking networkmanager nfconntrack nids nls nntp nocd notify nova npp nptl nptlonly nsplugin nss ntfs nuv nvram objc objc++ objc-gc ocaml ocamlopt octave odbc odk offensive office ofx ogg openal opendoc openexr opengl openid openmp openoffice optimisememory optimize osc oscar osdmaxitems ospfapi oss pam pango pascal passwdqc paste64 pcap pcntl pcre pda pdf perforce perfprofiling perl pertty pg-intdatetime php pic pike pink pinplugin plasma plib plotutils plugins png pnm pop pop3d portaudio posix postfix postgres postscript povray ppds pppd prediction prelude priority profile profiler proj projectx pronounce pth pulseaudio pvr pygrub pyste python pyzord q32 qa qdbm qmail qmail-spp qos qq qqwry qt3 qt3support qt4 query-browser quicktime quotas radio radius rar raw rdesktop react readline realms recode reflection regex reiser4 reiserfs replytolist resolvconf restrict-javascript rle romio rplay rrdcgi rrdtool rss rtc rtsp ruby runlevels samba sasl savedconfig sbig scanner screen sdl sdl-image seamonkey sendmail sensord servletapi session setup sftp sguil sharedext sharedmem shorten shout sid sieve signatures silc silvercity simplexml skey skins slang slp smapi smarty smi smp sms smtp smux sndfile snmp snortsam soa soap sockets socks5 sortrecords sound soundex soundtouch source sourcecaps sourceview sox spamassassin speex spell spl spoof-source sql sqlite sqlite3 srt sse sse-filters sse2 ssl ssse3 stableuc startup-notification stlport stream stroke subject-rewrite submenu subtitles subversion suid svg swat swig sylpheed symlink sys-apps/paludis sysfs syslog sysvipc szip taglib targrey tcl tcp-zebra tcpd tcpwrapper teletext tga themes theora threads threadsafe thunderbird tidy tiff timercmd timerinfo timestats timidity tivo tk tokenizer toolbar tools tos trayicon truetype tta ttxtsubs tunepimp tv twolame udpfromto uml unicode unsupported urandom usb utils uuid v4l v4l2 v4l2win32codecs valgrind validinput vamp vcd vcdx vda vdpau vdr verse vhosts videos vim-pager vim-syntax vim-with-x visibility visualization visualweb vlm vnc volctrl vorbis vorbis-psy wav wavpack wddx webdav webdav-serf webinstall webkit winbind winpopup wireshark withsamplescripts wma wmf wxwindows x11vnc x264 xanim xattr xcb xcomposite xemacs xface xfce xforms xfs xhtml xim xine xinerama xinetd xml xmlrpc xorg xosd xpm xprint xscreensaver xsl xslt xtended xterm xulrunner xv xvid xvmc xvnc yaepg yahoo zephyr zeroconf ziffy zip zlib zoran zvbi" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="authn_alias cern_meta charset_lite dumpio log_forensic proxy_ftp version actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" APACHE2_MPMS="worker" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="ro en en_GB" LIRC_DEVICES="hauppauge" NETBEANS_MODULES="apisupport harness ide java nb cnd groovy gsf identity j2ee mobility php profiler soa visualweb webcommon websvccommon xml" USERLAND="GNU" VIDEO_CARDS="nv v4l vesa nvidia"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS
Comment 19 walt 2009-03-05 20:47:34 UTC
Okay, downgrading gconf to 2.22.0 has fixed both problem for me, so next I'll try installing gconf from the svn repo and try to track it down further.
Comment 20 walt 2009-03-05 23:16:40 UTC
I'm doing something wrong. The last version of gconf.svn that works for me is 2.22.0, and even then it doesn't work quite right -- the background manager won't display any wallpaper.  Maybe one of you could do better.
Comment 21 walt 2009-03-06 18:08:24 UTC
I think I'm beginning to understand this problem.  Just reverting gconf back to 2.22.0 didn't fix the problem.  Along the way I had reemerged most of my gnome packages while running gconf-2.22.0, and *then* I rebooted to find that everything had started working again.

Then I found out that installing various versions of gconf from svn re-screwed up everything -- and that re-emerging the same old gnome packages *again* fixed the problem.

My current theory is that any app that installs files into /etc/gconf/gconf.xml.defaults/ will need to be reemerged after upgrading to gconf-2.24.0,
just to get those config files in the new gconf format.

I'm about to test that theory by reinstalling gnome yet again. 
Comment 22 walt 2009-03-07 21:33:35 UTC
I was only half right.  Completely reinstalling gnome fixed the hanging and defunct-ing but the settings daemon still has that startup bug.

Now, using "dbus-launch gnome-session" completely avoids the startup bug and makes everything work normally.

Anyway, I fixed the hanging problem on a second machine just by copying over the newly generated /etc/gconf/gconf.xml.defaults/%gconf-tree.xml.  I can attach it here if anyone wants it.
Comment 23 Cănărău Constantin 2009-03-08 09:56:23 UTC
Yes, please.
It would be kind of you if you'll attach the file.
Just for clarification: it is necessary to recompile entire gnome and replace the file, recompile entire gnome, start with dbus-launch gnome-session and replace the file, or simple just replace the file ?

Thank you!
Comment 24 walt 2009-03-08 15:42:14 UTC
Created attachment 184338 [details]
/etc/gconf/gconf.xml.defaults/%gconf-tree.xml

This file was generated by completely reinstalling gnome from scratch while using gconf-2.24.0
Comment 25 walt 2009-03-08 15:58:12 UTC
(In reply to comment #23)
> Just for clarification: it is necessary to recompile entire gnome and replace
> the file, recompile entire gnome, start with dbus-launch gnome-session and
> replace the file, or simple just replace the file ?

Just replace the file. If you still see the settings-daemon error message you can avoid it by using dbus-launch. Try export GSM_VERBOSE_DEBUG=1 before starting gnome-session to see some debugging messages.  In my case I see the session manager try 10 times to spawn the settings-daemon before giving up.

I modified the gnome-session code to try 1000 times but the settings daemon still never starts.  When I use dbus-launch the daemon starts on the first try.  I'm still working on the reason.
Comment 26 Cănărău Constantin 2009-03-08 18:49:33 UTC
Thanks! It's working now.
Comment 27 walt 2009-03-08 20:33:46 UTC
I think this is an important clue.  Without using dbus-launch I see this:

~ ps ax |grep dbus
 2032 ?        Ss     0:00 /usr/bin/dbus-daemon --system
 4761 ?        Ss     0:00 /usr/bin/dbus-daemon --fork --print-pid 5 --print-address 7 --session
 4965 ?        Ss     0:00 /usr/bin/dbus-daemon --fork --print-pid 5 --print-address 7 --session
 4966 tty1     S      0:00 dbus-launch --autolaunch 0c51acf9753f9272eb482600458f1c7b --binary-syntax --close-stderr
 4974 ?        Ss     0:00 dbus-daemon --fork --print-address 17 --print-pid 19 --session

When I use dbus-launch I see only one dbus session and none with the --autolaunch flag.  The dbus-launch man page says this happens when an app can't find DBUS_SESSION_BUS_ADDRESS in it's environment -- and that's usually not normal.

Any ideas why the settings-daemon would be unable to find the session address?
Comment 28 Cănărău Constantin 2009-03-08 21:26:09 UTC
It's very strange...
After the second reboot same problem.
Anyway, I'm almost sure that I found the problem.
I decided to rebuild gnome from scratch  (emerge --jobs=3 --load-average=4 --keep-going gnome).
At some point coreutils just... wait indefinitely. In build.log I found something about nanosleep.
Following  the bug 260459 I downgrade nvidia-drivers. 
No more problems after that, no mater how many times rebooted the computer or witch /etc/gconf/gconf.xml I use (mine or version attached to this bug).
walt could you, please, confirm ?
Comment 29 walt 2009-03-08 22:32:14 UTC
Well, I do use the accused nvidia driver, but I tried switching to the 'nv' driver and saw no difference.  Are you saying that changing video drivers fixed the settings-daemon startup bug?  OTOH, just rebooting twice broke something so I'm still confused.
Comment 30 Cănărău Constantin 2009-03-09 10:46:45 UTC
Yes, downgrading to nvidia-drivers-180.29 solved the problem for me.
But, after I read your comment, I did the following test: I installed back nvidia-drivers-180.35 and switched to nv driver in xorg.conf.
Unless manually remove nvidia drivers (rmmod nvidia) problem persisted, although nv driver was used. rmmod nvidia && /etc/init.d/xdm start solve everything (without xdm start, off course).
Conclusion: for me, if nvidia module is in memory and it's version is 180.35 the problem is still here.
Comment 31 walt 2009-03-11 22:36:12 UTC
Solved!

The experts in the dbus mailing list are adamant that the code in gnome-session that starts the dbus session is broken, and anyway it's the linux distro's job to make sure that the startup scripts guarantee a dbus-launch for *every* X session, gnome, kde, or anything else, because so many apps require dbus now.

So yes, it's a bug in gnome-session but the proper solution for gentoo is to change the startup scripts so apps like gnome-session don't *need* to do it.
That's the long-term plan for every distro, and that's from the experts themselves -- check the dbus mailing list for details.


Meanwhile, the workaround for us is:  If you use [xgk]dm then the XSESSION variable needs to be set to "Gnome" in /etc/rc.conf.  If you use startx, I find that putting 'exec /etc/X11/Sessions/Gnome' in .xinitrc works perfectly.

I hope we haven't bored the devs to death.  Gilles, are you still listening?
Comment 32 Daniel Gryniewicz (RETIRED) gentoo-dev 2009-03-12 02:36:19 UTC
In my stabilization testing, this was soley related to the version of libxklavier.  That's why I didn't stabilize 3.8.  Unless libxklavier was interacting with dbus somehow, dbus is a red herring.  I had the XSESSION setting set to gnome, and was using gdm.
Comment 33 walt 2009-03-12 22:35:02 UTC
It's the usual evil spirits at work then, because I just installed and configured gdm and everything works perfectly with libxklavier-3.8. In particular gnome-settings-daemon is running and I don't see the startup problem that started this bug report.  I just checked to make sure that all the gsd keyboard-related plugins are enabled, and they are.

Are you referring specifically to that popup dialog saying gsd restarted too many times?  And libxklavier was the cause? (Just trying to make sure we're on the same page, is all.)
Comment 34 Daniel Gryniewicz (RETIRED) gentoo-dev 2009-03-13 00:43:54 UTC
That's the one, yes.  I have never seen this on my ~arch system (which had 3.8 all along) but it happened on 2 stable amd64 systems that were upgraded to 2.24 recently.  Enough that I didn't stable 3.8 on amd64.
Comment 35 Aaron Stone 2009-03-13 02:48:43 UTC
(In reply to comment #7)
> (In reply to comment #6)
> > For me downgrade libxklavier to 3.6 fix the problem
> > 
> 
> Yes ! Me too ! :-) Thanks !
> 

Me three!
Comment 36 José Alberto Suárez López (RETIRED) gentoo-dev 2009-03-16 11:48:11 UTC
(In reply to comment #7)
> (In reply to comment #6)
> > For me downgrade libxklavier to 3.6 fix the problem
> > 
> 
> Yes ! Me too ! :-) Thanks !
> 

>Me three!

Me four
Comment 37 Roland Ramthun 2009-03-16 16:26:56 UTC
I experienced this problem on 2 of 3 installations (all x86).
A downgrade to libxklavier version 3.6 fixed the problem in both cases.

The unaffected installation runs Xorg 1.5, I will upgrade one of the affected PCs later this day from 1.3 to 1.5 and report back if the Xorg version makes any difference.
Comment 38 Roland Ramthun 2009-03-16 19:29:02 UTC
I upgraded both installations to Xorg 1.5.3 and the problem disappeared on both machines.

Xorg 1.5.3 stablizisation (see bug #251832)FTW :-)
Comment 39 walt 2009-03-16 21:15:01 UTC
Thanks, that's good to know.  Just this morning a large group of gnome-related packages were marked stable on x86, including libxklavier-3.8 -- which broke my gnome-settings-daemon just like everybody else here :o)  What irony...

I'd say that libxklavier should be downgraded immediately to prevent an avalanche of new bug reports.  Can anyone here do that?
Comment 40 Szymon Zygmunt 2009-03-16 23:44:00 UTC
(In reply to comment #6)
> For me downgrade libxklavier to 3.6 fix the problem

Yes, it's good solution for me too. Thanks.
Comment 41 Phil Bordelon (sunflare) 2009-03-17 03:19:17 UTC
Downgrading to libxklavier-3.6 on my bog-standard x86 system also fixed the constant crashes.  Wish I had found this bug, oh, two hours ago.  Sigh.
Comment 42 Tango 2009-03-17 12:29:50 UTC
Ran into this nasty little critter this morning after upgrading to gnome-2.24 stable my x86 machine.

Masking >=libxklavier-3.8 and re-emergeing libxklavier-3.6 also fixed the problem for me.

Its interesting that I didn't run into this problem a week ago when upgrading gnome on my stable amd64 system as libxklavier-3.8 is still marked as unstable on that arch.
Comment 43 Rémi Cardona gentoo-dev 2009-03-17 14:48:44 UTC
Could anyone upgrade "x11-misc/xkeyboard-config" to the latest from ~arch (1.5 ATM) and go back to libxklavier 3.8?

Thanks
Comment 44 David Mudrák 2009-03-17 15:41:22 UTC
I am yet another happy user just having this fixed by temporary

$ echo ">=x11-libs/libxklavier-3.8" >> /etc/portage/package.mask
Comment 45 walt 2009-03-17 16:17:45 UTC
(In reply to comment #43)
> Could anyone upgrade "x11-misc/xkeyboard-config" to the latest from ~arch (1.5
> ATM) and go back to libxklavier 3.8?

Sorry, that combination is still broken on my x86 machine :o(
Comment 46 Gilles Dartiguelongue gentoo-dev 2009-03-17 16:21:44 UTC
*** Bug 262734 has been marked as a duplicate of this bug. ***
Comment 47 Alessandro Zigliani 2009-03-17 16:49:28 UTC
(In reply to comment #44)
> I am yet another happy user just having this fixed by temporary
> 
> $ echo ">=x11-libs/libxklavier-3.8" >> /etc/portage/package.mask

So am I, after wasting the afternoon rebuilding gnome because I was afraid it was about to the "-mfpmath=sse" gcc option I added just before updating...
The problem is with libxklavier 3.8... With version 3.6 everything works fine.
The other workaround (dbus-launch) does not work for me.
Comment 48 Maxim Kachur 2009-03-17 20:16:10 UTC
Both of two solutions (with disabling keyboard plugin with gconftool and downgrading libxklavier to 3.6 solved the problem for me. Thanks a lot!
Comment 49 Miller Larson 2009-03-17 23:13:40 UTC
On x86 here.  Upgraded to gnome 2.24 this am and hit this issue.  Finally rolled libxklavier back to 3.6, and working without any issues...
Comment 50 Tony 2009-03-18 04:54:47 UTC
(In reply to comment #36)
> (In reply to comment #7)
> > (In reply to comment #6)
> > > For me downgrade libxklavier to 3.6 fix the problem
> > > 
> > 
> > Yes ! Me too ! :-) Thanks !
> > 
> 
> >Me three!
> 
> Me four
> 

Me five
Comment 51 Rémi Cardona gentoo-dev 2009-03-18 06:53:21 UTC
(In reply to comment #50)
> Me five

Let's *stop* this now. We've had enough confirmation already. Just quietly add yourself to CC if you don't have anything important to add.

Now could anyone try what I suggested in comment #43 ?

Thanks
Comment 52 loth 2009-03-18 10:05:39 UTC
(In reply to comment #43)
> Could anyone upgrade "x11-misc/xkeyboard-config" to the latest from ~arch (1.5
> ATM) and go back to libxklavier 3.8?
> 
 
After upgrading to current stable x86 this problem occured on my VMware Machine. Finding this thread I did _not_ downgrade libxklavier but instead emerged xkeyboard-config-1.5 from ~x86. This does _not_ solve the problem.
The last lines of the output of 
/usr/libexec/gnome-settings-daemon --no-daemon --debug 
keep saying:
** (gnome-settings-daemon:5267): DEBUG: GnomeSettingsModule 0x8412850 initialising
** (gnome-settings-daemon:5267): DEBUG: Loading /usr/lib/gnome-settings-daemon-2.0/libbackground.so
** (gnome-settings-daemon:5267): DEBUG: Registering GsdBackgroundPlugin
** (gnome-settings-daemon:5267): DEBUG: Creating object of type GsdBackgroundPlugin
** (gnome-settings-daemon:5267): DEBUG: GsdBackgroundPlugin initializing
** (gnome-settings-daemon:5267): DEBUG: Activating background plugin
** (gnome-settings-daemon:5267): DEBUG: Starting background manager
** (gnome-settings-daemon:5267): DEBUG: GnomeSettingsManager: emitting plugin-activated background
** (gnome-settings-daemon:5267): DEBUG: Plugin background: active
** (gnome-settings-daemon:5267): DEBUG: GnomeSettingsModule 0x84128c8 initialising
** (gnome-settings-daemon:5267): DEBUG: Loading /usr/lib/gnome-settings-daemon-2.0/libkeyboard.so
** (gnome-settings-daemon:5267): DEBUG: Registering GsdKeyboardPlugin
** (gnome-settings-daemon:5267): DEBUG: Creating object of type GsdKeyboardPlugin
** (gnome-settings-daemon:5267): DEBUG: GsdKeyboardPlugin initializing
** (gnome-settings-daemon:5267): DEBUG: Activating keyboard plugin
** (gnome-settings-daemon:5267): DEBUG: Starting keyboard manager
The program 'gnome-settings-daemon' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadClass, invalid event class'.
  (Details: serial 158 error_code 182 request_code 148 minor_code 6)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)
[1237368807,000,xklavier.c:xkl_engine_start_listen/] 	The backend does not require manual layout management - but it is provided by the application

Comment 53 Steven De Bock 2009-03-18 21:44:31 UTC
I tried comment #43
=> Still the same issues here

x11-misc/xkeyboard-config was upgraded to 1.5
libxklavier was upgraded to 3.8
Comment 54 redneb 2009-03-19 21:46:59 UTC
libxklavier-3.8 causes the same problem even in gnome-2.22. It seems to me that it should be masked. Maybe a separate bug should be opened for it.
Comment 55 Morgan Wesström 2009-03-20 19:47:25 UTC
Just wanted to add my experience to this. I ran into the same issue with g-s-d but downgrading libxklavier and revdep-rebuilding didn't solve it for me. I run stable arch with the following exceptions:

Portage 2.2
GCC 4.3.3
glibc 2.9

I have the exact same setup on my AMD64 and also the same problem there since several months. (Did 2.24 go stable there much earlier?) I assume glibc has something to do with this too...
Comment 56 Rémi Cardona gentoo-dev 2009-03-20 19:55:24 UTC
@gnome, I couldn't find what piece is missing to get libxklavier 3.8 to work. I suggest we don't stabilize it.

We can open a new which can dep on the xorg 1.5.3 stabilization bug.

Cheers
Comment 57 walt 2009-03-20 20:49:40 UTC
(In reply to comment #55)
> Just wanted to add my experience to this. I ran into the same issue with g-s-d
> but downgrading libxklavier and revdep-rebuilding didn't solve it for me...

See my comment #31 above. Starting gnome the wrong way can produce the same symptoms, which certainly had me confused for a long time.
Comment 58 Morgan Wesström 2009-03-20 21:09:47 UTC
Thanks walt, I never got around to test that since everyone quickly focused on libxklavier. exec /etc/X11/Sessions/Gnome makes the error message go away on my AMD64 at least. I can't try it on my x86 atm but I'm sure it will work there too. Still, fact remains that downgrading libxklavier doesn't help when I use a newer gcc and glibc (I'm installing a fresh Gentoo in VMware to confirm this but it will take a few hours.) I got the feeling the problem is a little more complex then just libxklavier...
/Morgan
Comment 59 Gilles Dartiguelongue gentoo-dev 2009-03-21 00:36:56 UTC
*** Bug 263175 has been marked as a duplicate of this bug. ***
Comment 60 Mike Mazur 2009-03-21 13:10:02 UTC
(In reply to comment #57)
> See my comment #31 above. Starting gnome the wrong way can produce the same
> symptoms, which certainly had me confused for a long time.

I tried this but it didn't work for me.

I check /etc/rc.conf and XSESSION is set to Gnome:

  $ grep XSESSION /etc/rc.conf
  # XSESSION is a new variable to control what window manager to start
  # value that XSESSION is set to.  The support scripts are smart enough to
  # allthough it will work if the user export XSESSION in his .bash_profile, etc.
  #        2) even if ~/.xsession exists, if XSESSION can be resolved, it will
  XSESSION="Gnome"

I use startx, though, so tried this .xinitrc file:

  $ cat ~/.xinitrc
  touch /home/mike/this-is-the-xinitrc
  exec /etc/X11/Sessions/Gnome

(the first line is just confirmation that .xinitrc was called).

I still get issues with gnome-settings-daemon. Downgrading to libxklavier-3.6 "solves" the issue.

My emerge --info:

$ emerge --info
Portage 2.1.6.7 (default/linux/x86/2008.0/desktop, gcc-4.1.2, glibc-2.8_p20080602-r1, 2.6.28-gentoo-r3-0 i686)
=================================================================
System uname: Linux-2.6.28-gentoo-r3-0-i686-Intel-R-_Core-TM-2_CPU_T7200_@_2.00GHz-with-glibc2.0
Timestamp of tree: Mon, 16 Mar 2009 10:30:01 +0000
ccache version 2.4 [enabled]
app-shells/bash:     3.2_p39
dev-java/java-config: 1.3.7-r1, 2.1.7
dev-lang/python:     2.4.4-r13, 2.5.2-r7
dev-python/pycrypto: 2.0.1-r8
dev-util/ccache:     2.4-r7
dev-util/cmake:      2.6.2-r1
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.63
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=prescott -O2 -pipe -fomit-frame-pointer -mmmx -msse -msse2 -msse3 -mfpmath=sse"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-march=prescott -O2 -pipe -fomit-frame-pointer -mmmx -msse -msse2 -msse3 -mfpmath=sse"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://gentoo.gg3.net/ ftp://gg3.net/pub/linux/gentoo/ ftp://ftp.ecc.u-tokyo.ac.jp/GENTOO http://gentoo.channelx.biz/ http://ftp.jaist.ac.jp/pub/Linux/Gentoo/ ftp://ftp.jaist.ac.jp/pub/Linux/Gentoo/ "
LANG="en_US.UTF8"
LC_ALL="en_US.UTF8"
LDFLAGS="-Wl,-O1"
LINGUAS="en en_US"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi alsa avahi bash-completion berkdb bluetooth branding bzip2 cairo cdr cjk cli cracklib crypt cups dbus dri dvd dvdr dvdread encode evo exif fam firefox fortran gdbm gif gnome gphoto gpm gtk gtk2 hal iconv ipod ipv6 isdnlog jpeg libnotify mad mbox midi mikmod mmx mp3 mpeg mudflap ncurses nls nptl nptlonly ogg opengl openmp pam pcre pdf perl png ppds pppd pulseaudio python qt3support quicktime readline reflection sdl session spell spl sse sse2 ssl startup-notification svg sysfs tcpd theora tiff truetype unicode usb vorbis wifi win32codecs x86 xinerama xml xorg xulrunner xv zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1 emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en en_US" USERLAND="GNU" VIDEO_CARDS="nvidia"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 61 Josh Sled 2009-03-21 16:01:13 UTC
With a recent gnome[-light]-2.24 upgrade I was seeing gnome-settings-daemon starting up fine, but the keyboard properties specifically not taking effect, as primarily evidenced by my chosen Compose key ("Menu") not having effect.  This was with libxklavier-3.8.

Downgrading to libxklavier-3.6 (and rev-building gnome-settings-daemon-2.24.1-r1) results in a working gnome-settings-daemon and gnome-keyboard-properties (and compose key, &c.)

Trying (libxklavier-3.8, xkeyboard-config-1.5, gnome-settings-daemon-2.24.1-r1) results in an unstartable gnome-settings-daemon.
Comment 62 Gilles Dartiguelongue gentoo-dev 2009-03-21 21:21:16 UTC
*** Bug 263294 has been marked as a duplicate of this bug. ***
Comment 63 Victor Fragoso 2009-03-21 23:18:04 UTC
(In reply to comment #6)
> For me downgrade libxklavier to 3.6 fix the problem
> 

It worked for me too!
Thanks! :)
Comment 64 Alexander E. Patrakov 2009-03-22 04:59:52 UTC
It looks like there are actually two different bugs here with the same effect.

1. Something related to dbus and startup order.

2. BadClass error that goes away when downgrading libxklavier.
Comment 65 Christian Schlotter 2009-03-22 11:57:55 UTC
I'm running an x86/stable system. Yesterday, when running an emerge -avuD world, I ran into the problem described here. The fix described in comment 6, downgrading to libxklavier-3.6 (3.8 was installed), resolved it for me.

Unfortunate that this problem hits stable users like me, although the problem is known since some time.
Comment 66 Marco 2009-03-22 12:33:31 UTC
(In reply to comment #63)
> (In reply to comment #6)
> > For me downgrade libxklavier to 3.6 fix the problem
> > 
> 
> It worked for me too!
> Thanks! :)
> 

me too! thanks!

Comment 67 Darek Wapinski (PL) 2009-03-22 13:38:33 UTC
Working! What I do:

1. emerge -av =x11-libs/libxklavier-3.6
2. USE="libnotify" emerge -av gnome-settings-daemon
3. delete all gnome folders from ~/*
4. set XSESSION="Gnome" in /etc/rc.conf
5. logout
6. login
7. startx

Everything works fine ! Info:

triss ~ # emerge --info
Portage 2.1.6.7 (default/linux/x86/2008.0, gcc-4.1.2, glibc-2.8_p20080602-r1, 2.6.27-gentoo-r8 i686)
=================================================================
System uname: Linux-2.6.27-gentoo-r8-i686-Genuine_Intel-R-_CPU_T2400_@_1.83GHz-with-glibc2.0
Timestamp of tree: Sun, 22 Mar 2009 11:30:01 +0000
ccache version 2.4 [enabled]
app-shells/bash:     3.2_p39
dev-java/java-config: 2.1.7
dev-lang/python:     2.5.2-r7
dev-util/ccache:     2.4-r7
dev-util/cmake:      2.6.2-r1
sys-apps/baselayout: 1.12.11.1
sys-apps/sandbox:    1.2.18.1-r2
sys-devel/autoconf:  2.13, 2.63
sys-devel/automake:  1.5, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   1.5.26
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=prescott -O2 -pipe -msse3 -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-march=prescott -O2 -pipe -msse3 -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache distlocks fixpackages metadata-transfer parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://ftp.vectranet.pl/gentoo/ http://de-mirror.org/distro/gentoo/ http://gentoo.po.opole.pl"
LC_ALL="pl_PL.utf8"
LDFLAGS="-Wl,-O1"
LINGUAS="pl en"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow X a52 aac acl acpi additions alsa apache2 automount avahi bash-completion big-tables bluetooth branding bzip2 cairo cdr cli cracklib crypt cups curl dbus dri dvd dvdr encode extramodules ffmpeg firefox flac ftp gd gdbm gif gnome gpm gstreamer gtk gtk2 hal iconv isdnlog java jpeg laptop mdnsresponder-compat midi mmx mp3 mpeg mudflap mysql mysqli ncurses nls nptl nptlonly nsplugin ogg opengl openmp pam pcre pdo perl pl png powerkadu pppd pulseaudio python qt3 qt4 readline reflection sdl session smp spl sql sqlite ssl svg sysfs tcpd truetype unicode userlocales vim-syntax vorbis x86 xcomposite xml xorg xosd xvid zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="pl en" USERLAND="GNU" VIDEO_CARDS="vesa radeon"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY



Comment 68 Pun 2009-03-22 16:16:25 UTC
x11-misc/xkeyboard-config was upgraded to 1.5
libxklavier was upgraded to 3.8
AND gnome worked for me BUT only after I downgraded gnome-base/librsvg to 2.22.3
Comment 69 Pun 2009-03-23 09:50:09 UTC
Sorry. I meant downgrading gnome-base/librsvg-2.22.3 to 
gnome-base/librsvg-2.22.2
Comment 70 michael higgins 2009-03-25 08:13:51 UTC
(In reply to comment #69)
> Sorry. I meant downgrading gnome-base/librsvg-2.22.3 to 
> gnome-base/librsvg-2.22.2
> 

I'm not sure of the 'official' workaround, but I got bit too. Things I did:

emerge =gnome-base/librsvg-2.22.2
emerge =x11-libs/libxklavier-3.6
emerge -av gnome-base/gnome-settings-daemon

 cat .xinitrc 

exec /etc/X11/Sessions/Gnome

Thanks folks. 
Comment 71 Gilles Dartiguelongue gentoo-dev 2009-03-27 12:44:25 UTC
*** Bug 262871 has been marked as a duplicate of this bug. ***
Comment 72 Rémi Cardona gentoo-dev 2009-03-27 15:09:46 UTC
Gilles and I found something in the ChangeLog which could make a big difference.

Could anyone update inputproto to 1.5, libXi to 1.2.1 and rebuild gtk and gnome-settings-daemon ?

Using libxklavier 3.8 of course.

Thanks
Comment 73 Raphael Das Gupta 2009-03-27 16:35:24 UTC
Created attachment 186448 [details]
crashlog created by gnome when started with inputproto-1.50, libXi-1.2.1 and libxklavier-3.8

(I'm one of those, where the problem was solved by just downgrading libxklavier to 3.6. Before downgrading it, the only problems where themes not working and the message about gnome-settings-daemon failing to start. No crashes, as far as I remember.)

> Could anyone update inputproto to 1.5, libXi to 1.2.1 and rebuild gtk and
> gnome-settings-daemon ?
> 
> Using libxklavier 3.8 of course.

Just tried this, and gnome crashed when starting and the screen returned to gdm (An alert window was visible for a short moment, but without any text in it). I tried to log in again, and apparently got some further, the bug report dialog appeared. After choosing a filename for the report (attached, dunno if it's useful), that gnome session vanished, too and gdm reappeared.

Here's the order in which I emerged those packages:
     Fri Mar 27 16:31:43 2009 >>> x11-libs/libxklavier-3.8
     Fri Mar 27 16:33:36 2009 >>> x11-proto/inputproto-1.5.0
     Fri Mar 27 16:34:13 2009 >>> x11-libs/libXi-1.2.1
     Fri Mar 27 16:47:57 2009 >>> x11-libs/gtk+-2.14.7-r2
     Fri Mar 27 16:51:12 2009 >>> gnome-base/gnome-settings-daemon-2.24.1-r1


So I re-downgraded libxklavier, inputproto and libXi and everything seems to be fine again, even without rebuilding gtk+ or gnome-settings-daemon:
     Fri Mar 27 17:13:15 2009 >>> x11-libs/libxklavier-3.6
     Fri Mar 27 17:13:20 2009 >>> x11-proto/inputproto-1.4.2.1
     Fri Mar 27 17:13:26 2009 >>> x11-libs/libXi-1.1.3
Comment 74 Tim 2009-03-27 19:03:59 UTC
I also have had this problem when I:
startx

I tried pretty much everything that was suggested and the only thing that worked for me was:
emerge -av =libxklavier-3.6

I'm very new to Linux and it has taken me a week to finally figure out how to fix this problem.  These kinds of difficulties make it hard for me to continue using Gentoo.

I still have to figure out why I get errors when I:
emerge ati-drivers
Comment 75 walt 2009-03-27 22:02:38 UTC
(In reply to comment #72)
> Could anyone update inputproto to 1.5, libXi to 1.2.1 and rebuild gtk and
> gnome-settings-daemon ? Using libxklavier 3.8 of course.

Sorry to report that I still see the same settings-daemon error dialog :-(
Thanks, though, for working on it.
Comment 76 Rémi Cardona gentoo-dev 2009-03-27 23:13:33 UTC
Ok, I've dropped all the stable keywords from libxklavier 3.6. Since I really don't want any of us to spend more time chasing this bug, Gilles and I have agreed to stabilize 3.8 once xorg-server 1.5.3 goes stable.

We'll open a separate bug for that.

Thanks to all for your input and sorry for the inconvenience.
Comment 77 Raphael Das Gupta 2009-03-28 13:26:13 UTC
> Ok, I've dropped all the stable keywords from libxklavier 3.6.

That should read 3.8, I guess. 3.6 is the version which seems to perform ok with other currently stable packages.
Comment 78 Lars Wendler (Polynomial-C) gentoo-dev 2009-03-31 19:41:27 UTC
*** Bug 264199 has been marked as a duplicate of this bug. ***